Bug 112507 - Only add wordspacing when kerning to actual word ends
Summary: Only add wordspacing when kerning to actual word ends
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on:
Blocks: 112610
  Show dependency treegraph
 
Reported: 2013-03-16 17:30 PDT by Dean Jackson
Modified: 2013-03-18 12:41 PDT (History)
7 users (show)

See Also:


Attachments
Patch (4.37 KB, patch)
2013-03-16 17:38 PDT, Dean Jackson
no flags Details | Formatted Diff | Diff
Patch (3.09 KB, patch)
2013-03-17 04:28 PDT, Dean Jackson
no flags Details | Formatted Diff | Diff
Patch (4.42 KB, patch)
2013-03-18 10:51 PDT, Dean Jackson
enrica: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2013-03-16 17:30:52 PDT
When measuring text in kerning mode, we currently add the word spacing to every wordMeasurement. However, not all are actual word breaks.

<rdar://problem/12945869>
Comment 1 Dean Jackson 2013-03-16 17:38:13 PDT
Created attachment 193449 [details]
Patch
Comment 2 Dean Jackson 2013-03-17 04:28:12 PDT
Created attachment 193461 [details]
Patch
Comment 3 Enrica Casucci 2013-03-18 10:39:01 PDT
The patch doesn't contain the test, only the ChangeLog for LayoutTests.
Comment 4 Dean Jackson 2013-03-18 10:51:10 PDT
Created attachment 193602 [details]
Patch
Comment 5 Enrica Casucci 2013-03-18 10:56:46 PDT
Comment on attachment 193602 [details]
Patch

Looks good. Thanks for fixing this!
Comment 6 Dean Jackson 2013-03-18 11:06:03 PDT
Committed r146087: <http://trac.webkit.org/changeset/146087>